Subject: Bug#1456: [X2Go-Dev] Bug#1456: Local window manager misbehaves when X2Go windows are open.

From: Ulrich Sibiller <[email-masked]>
Date: Mon, 27 Apr 2020 16:37:46 +0200

Mike#1 suggested this might be related to
https://github.com/ArcticaProject/nx-libs/issues/697

However, I never could reproduce that. And I also fail in reproducing
the konsole problem described here.

What is the local window manager you are using?

Uli

On Thu, Apr 9, 2020 at 9:05 PM Itay Chamiel <[email-masked]> wrote:
>
> Package: x2goclient
> Version: 4.1.2.2 or 4.1.1.1
>
> Environment:
> Client: Ubuntu 18.04 LTS, 64-bit, freshly installed and fully updated, running X2Go Client v. 4.1.2.2 (Qt - 4.8.7). Machine is a Dell Vostro 15 3000 laptop, with an external monitor connected and the lid shut.
> Server OS: Ubuntu 16.04.1 LTS, x2goserver 4.1.0.3
>
> Steps to reproduce:
> 1. Start with a typical local desktop session (tested on default Ubuntu desktop as well as Cinnamon), with at least one window open (say, a web browser or email client).
> 2. In X2Go define a session: set the session name, host, login, check "try auto login". Session type: Single application, choose "Terminal" from the drop-down.
> 3. Start this session. X2Go will connect and a "Konsole" window will appear. [note: if you get a different terminal, go back to step 2 and type "konsole" as the requested remote application. Konsole is not the only terminal to exhibit this bug but is the easiest to reproduce it with.]
> 4. Type something in the terminal, "hello", whatever.
> 5. Now try to switch to another window using Alt-Tab or clicking on the task bar icon representing that window.
>
> When I perform these steps the requested window does not appear and the Konsole remains on top and in focus. The only way to return to normal behavior is to minimize the Konsole window.
>
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev